# frozen_string_literal: true

# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!

require "gapic/common"
require "gapic/config"
require "gapic/config/method"

require "google/cloud/tpu/v1/version"

require "google/cloud/tpu/v1/tpu/credentials"
require "google/cloud/tpu/v1/tpu/paths"
require "google/cloud/tpu/v1/tpu/operations"
require "google/cloud/tpu/v1/tpu/client"

module Google
  module Cloud
    module Tpu
      module V1
        ##
        # Manages TPU nodes and other resources
        #
        # TPU API v1
        #
        # To load this service and instantiate a client:
        #
        #     require "google/cloud/tpu/v1/tpu"
        #     client = ::Google::Cloud::Tpu::V1::Tpu::Client.new
        #
        module Tpu
        end
      end
    end
  end
end

helper_path = ::File.join __dir__, "tpu", "helpers.rb"
require "google/cloud/tpu/v1/tpu/helpers" if ::File.file? helper_path
